Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Error con x11-base/xorg-server y portage [SOLUCIONADO]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
lluisparcet
Tux's lil' helper
Tux's lil' helper


Joined: 21 Sep 2004
Posts: 111
Location: Roses

PostPosted: Fri Jul 27, 2012 4:20 pm    Post subject: Error con x11-base/xorg-server y portage [SOLUCIONADO] Reply with quote

Hola a todos:

En una actualiación rutinaria del sistema (Que me lo actualizó todo a excepción, al parecer, de xorg-server) con emerge -vp --update --newuse --deep --with-bdeps=y @world, ha acabado con el siguiente error:

Quote:
WARNING: One or more updates have been skipped due to a dependency conflict:

x11-base/xorg-server:0

(x11-base/xorg-server-1.12.99.903::gentoo, ebuild scheduled for merge) conflicts with
<x11-base/xorg-server-1.12.99 required by (x11-drivers/nvidia-drivers-302.17::gentoo, installed)


Las versiones que tengo instaladas de los paquetes implicados son:


Code:
[ebuild   R    ] x11-base/xorg-server-1.12.3  USE="kdrive nptl udev xorg -dmx -doc -ipv6 -minimal (-selinux) -static-libs -tslib -xnest -xvfb" 0 kB

[ebuild   R    ] x11-drivers/nvidia-drivers-302.17  USE="acpi (multilib) tools" 0 kB


Este PC en concreto lo tengo en la rama de pruebas ACCEPT_KEYWORDS="~amd64" y la arquitectura es CHOST="x86_64-pc-linux-gnu".

¿Se os ocurre a que se debe este problema y como solucionarlo?. Por lo que yo entiendo parece que quiere actualizar x11-base/xorg-server pero parece que encuentra algún conflicto de versiones. Por cierto, no tengo ninguno de estos paquetes enmascarados.

Cualquier ayuda será bien recibida.

Saludos cordiales.


Last edited by lluisparcet on Fri Sep 14, 2012 8:09 am; edited 1 time in total
Back to top
View user's profile Send private message
Arctic
Apprentice
Apprentice


Joined: 04 Jul 2011
Posts: 178

PostPosted: Fri Jul 27, 2012 8:15 pm    Post subject: Reply with quote

El problema esta en que el driver nvidia es incompatible con la version marcada como "testing" del xorg-server y deberas quedarte con la 1.12.3 ,de echo ese cambio lo han efectuado ayer mismo , y lo han dejado de el siguiente modo:

1.12.2 estable
1.12.3 testing (aunque es mas estable que la anterior ya que corrige un bug que provocaba lag en el raton)
y la que mencionas debe de ser la RC del proximo 1.13.0 xorg-server y que no es compatible con el actual driver de nvidia.


Salu2
_________________
ln -s /user/artic /user/arctic
Back to top
View user's profile Send private message
lluisparcet
Tux's lil' helper
Tux's lil' helper


Joined: 21 Sep 2004
Posts: 111
Location: Roses

PostPosted: Fri Sep 14, 2012 8:09 am    Post subject: Reply with quote

Hola de nuevo,

para cerrar el post decir que con la reciente actualización de:

x11-base/xorg-server-1.13.0
x11-drivers/nvidia-drivers-304.43


la incidencia ha quedado solucionada.

Saludos.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum